import React from 'react';
import ReactDOM from 'react-dom';
import Face from './Face.js';

const width = 160;
const height = 160;

const faceArr = d3.range(6 * 3);

const App = () => faceArr.map(() => (
	<Face 
    width={width}
    height={height}
    centerX={width / 2}
    centerY={height / 2}
    strokeWidth={10}
    eyeOffsetX={30}
    eyeOffsetY={30}
    eyeRadius={5 + Math.random() * 10}
    mouthRadius={15 + Math.random() * 30}
    mouthWidth={5 + Math.random() * 10}
    innerRadius={0 + Math.random() * 5}
    outerRadius={10}
    />
  ));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);